List of volcanoes in Colombia
GET
/api/v1/Volcano
This endpoint returns the volcanoes of the Colombian territory including name, description, elevation in meters above sea level, coordinates, volcano type, activity level, image and the department and city they belong to.
Parameters
Query Parameters
sortBy
It can be sorted by any of the fields that have numerical, string, or date values (for example: Id, name, description, etc.).
Typestring
sortDirection
Possible values: 'asc' or 'desc'.
Typestring
Responses
OK
application/json
JSON
[
{
"id": 0,
"name": "string",
"description": "string",
"elevation": 0,
"latitude": 0,
"longitude": 0,
"volcanoType": "string",
"activityLevel": "string",
"imageUrl": "string",
"departmentId": 0,
"department": {
"id": 0,
"name": "string",
"description": "string",
"cityCapitalId": 0,
"municipalities": 0,
"surface": 0,
"population": 0,
"phonePrefix": "string",
"countryId": 0,
"cityCapital": {
"id": 0,
"name": "string",
"description": "string",
"surface": 0,
"population": 0,
"postalCode": "string",
"departmentId": 0,
"department": "[Circular Reference]",
"touristAttractions": [
{
"id": 0,
"name": "string",
"description": "string",
"images": [
"string"
],
"latitude": "string",
"longitude": "string",
"cityId": 0,
"city": "[Circular Reference]"
}
],
"presidents": [
{
"id": 0,
"image": "string",
"name": "string",
"lastName": "string",
"startPeriodDate": "string",
"endPeriodDate": "string",
"politicalParty": "string",
"description": "string",
"cityId": 0,
"city": "[Circular Reference]"
}
],
"indigenousReservations": [
{
"id": 0,
"name": "string",
"code": "string",
"procedureType": "string",
"administrativeActType": "string",
"administrativeActNumber": 0,
"administrativeActDate": "string",
"nativeCommunityId": 0,
"nativeCommunity": {
"id": 0,
"name": "string",
"description": "string",
"languages": "string",
"images": [
"string"
],
"indigenousReservations": [
{
}
]
},
"deparmentId": 0,
"department": "[Circular Reference]",
"cityId": 0,
"city": "[Circular Reference]"
}
],
"airports": [
{
}
],
"radios": [
{
"id": 0,
"name": "string",
"frequency": 0,
"band": "string",
"cityId": 0,
"city": "[Circular Reference]",
"url": "string",
"streamers": [
"string"
]
}
],
"urbanCenters": [
{
"id": 0,
"cityId": 0,
"code": "string",
"name": "string",
"type": "string",
"longitude": 0,
"latitude": 0
}
],
"higherEducationInstitutions": [
{
"id": 0,
"code": "string",
"name": "string",
"legalNature": "string",
"academicCharacter": "string",
"cityId": 0,
"city": "[Circular Reference]",
"address": "string",
"phone": "string",
"isHighQualityAccredited": true,
"website": "string"
}
],
"televisionChannels": [
{
"id": 0,
"name": "string",
"cityId": 0,
"city": "[Circular Reference]",
"url": "string",
"isActive": true
}
]
},
"country": {
"id": 0,
"name": "string",
"description": "string",
"stateCapital": "string",
"surface": 0,
"population": 0,
"languages": [
"string"
],
"timeZone": "string",
"currency": "string",
"currencyCode": "string",
"currencySymbol": "string",
"isoCode": "string",
"internetDomain": "string",
"phonePrefix": "string",
"radioPrefix": "string",
"aircraftPrefix": "string",
"subRegion": "string",
"region": "string",
"borders": [
"string"
],
"flags": [
"string"
]
},
"cities": [
{
"id": 0,
"name": "string",
"description": "string",
"surface": 0,
"population": 0,
"postalCode": "string",
"departmentId": 0,
"department": "[Circular Reference]",
"touristAttractions": [
{
"id": 0,
"name": "string",
"description": "string",
"images": [
"string"
],
"latitude": "string",
"longitude": "string",
"cityId": 0,
"city": "[Circular Reference]"
}
],
"presidents": [
{
"id": 0,
"image": "string",
"name": "string",
"lastName": "string",
"startPeriodDate": "string",
"endPeriodDate": "string",
"politicalParty": "string",
"description": "string",
"cityId": 0,
"city": "[Circular Reference]"
}
],
"indigenousReservations": [
{
"id": 0,
"name": "string",
"code": "string",
"procedureType": "string",
"administrativeActType": "string",
"administrativeActNumber": 0,
"administrativeActDate": "string",
"nativeCommunityId": 0,
"nativeCommunity": {
"id": 0,
"name": "string",
"description": "string",
"languages": "string",
"images": [
"string"
],
"indigenousReservations": [
{
}
]
},
"deparmentId": 0,
"department": "[Circular Reference]",
"cityId": 0,
"city": "[Circular Reference]"
}
],
"airports": [
{
}
],
"radios": [
{
"id": 0,
"name": "string",
"frequency": 0,
"band": "string",
"cityId": 0,
"city": "[Circular Reference]",
"url": "string",
"streamers": [
"string"
]
}
],
"urbanCenters": [
{
"id": 0,
"cityId": 0,
"code": "string",
"name": "string",
"type": "string",
"longitude": 0,
"latitude": 0
}
],
"higherEducationInstitutions": [
{
"id": 0,
"code": "string",
"name": "string",
"legalNature": "string",
"academicCharacter": "string",
"cityId": 0,
"city": "[Circular Reference]",
"address": "string",
"phone": "string",
"isHighQualityAccredited": true,
"website": "string"
}
],
"televisionChannels": [
{
"id": 0,
"name": "string",
"cityId": 0,
"city": "[Circular Reference]",
"url": "string",
"isActive": true
}
]
}
],
"regionId": 0,
"region": {
"id": 0,
"name": "string",
"description": "string",
"departments": [
{
}
]
},
"naturalAreas": [
{
"id": 0,
"areaGroupId": 0,
"categoryNaturalAreaId": 0,
"name": "string",
"departmentId": 0,
"daneCode": 0,
"landArea": 0,
"maritimeArea": 0,
"department": "[Circular Reference]",
"categoryNaturalArea": {
"id": 0,
"name": "string",
"description": "string",
"naturalAreas": [
{
}
]
}
}
],
"maps": [
{
"id": 0,
"name": "string",
"description": "string",
"departmentId": 0,
"urlImages": [
"string"
],
"urlSource": "string",
"department": "[Circular Reference]"
}
],
"indigenousReservations": [
{
"id": 0,
"name": "string",
"code": "string",
"procedureType": "string",
"administrativeActType": "string",
"administrativeActNumber": 0,
"administrativeActDate": "string",
"nativeCommunityId": 0,
"nativeCommunity": {
"id": 0,
"name": "string",
"description": "string",
"languages": "string",
"images": [
"string"
],
"indigenousReservations": [
{
}
]
},
"deparmentId": 0,
"department": "[Circular Reference]",
"cityId": 0,
"city": "[Circular Reference]"
}
],
"airports": [
{
}
]
},
"cityId": 0,
"city": {
"id": 0,
"name": "string",
"description": "string",
"surface": 0,
"population": 0,
"postalCode": "string",
"departmentId": 0,
"department": "[Circular Reference]",
"touristAttractions": [
{
"id": 0,
"name": "string",
"description": "string",
"images": [
"string"
],
"latitude": "string",
"longitude": "string",
"cityId": 0,
"city": "[Circular Reference]"
}
],
"presidents": [
{
"id": 0,
"image": "string",
"name": "string",
"lastName": "string",
"startPeriodDate": "string",
"endPeriodDate": "string",
"politicalParty": "string",
"description": "string",
"cityId": 0,
"city": "[Circular Reference]"
}
],
"indigenousReservations": [
{
"id": 0,
"name": "string",
"code": "string",
"procedureType": "string",
"administrativeActType": "string",
"administrativeActNumber": 0,
"administrativeActDate": "string",
"nativeCommunityId": 0,
"nativeCommunity": {
"id": 0,
"name": "string",
"description": "string",
"languages": "string",
"images": [
"string"
],
"indigenousReservations": [
{
}
]
},
"deparmentId": 0,
"department": "[Circular Reference]",
"cityId": 0,
"city": "[Circular Reference]"
}
],
"airports": [
{
}
],
"radios": [
{
"id": 0,
"name": "string",
"frequency": 0,
"band": "string",
"cityId": 0,
"city": "[Circular Reference]",
"url": "string",
"streamers": [
"string"
]
}
],
"urbanCenters": [
{
"id": 0,
"cityId": 0,
"code": "string",
"name": "string",
"type": "string",
"longitude": 0,
"latitude": 0
}
],
"higherEducationInstitutions": [
{
"id": 0,
"code": "string",
"name": "string",
"legalNature": "string",
"academicCharacter": "string",
"cityId": 0,
"city": "[Circular Reference]",
"address": "string",
"phone": "string",
"isHighQualityAccredited": true,
"website": "string"
}
],
"televisionChannels": [
{
"id": 0,
"name": "string",
"cityId": 0,
"city": "[Circular Reference]",
"url": "string",
"isActive": true
}
]
}
}
]